Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Interface DomainRuntimeMBean

All Superinterfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

public interface DomainRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This class is used for monitoring a WebLogic domain. A domain may contain zero or more clusters. A cluster may be looked up by a logical name.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`Date` | `getActivationTime()` The time when the domain became active.
`weblogic.management.runtime.AppRuntimeStateRuntimeMBean` | `getAppRuntimeStateRuntime()` Returns a service from which it is possible to determine the state applications throughout the domain.
`DeployerRuntimeMBean` | `getDeployerRuntime()` Deprecated. 9.0.0.0
`weblogic.management.runtime.LogRuntimeMBean` | `getLogRuntime()` Return the MBean which provides access to the control interface for WLS server logging.
`weblogic.management.runtime.MessageDrivenControlEJBRuntimeMBean` | `getMessageDrivenControlEJBRuntime()` The MessageDrivenControlEJBRuntimeMBean for this server.
`MigratableServiceCoordinatorRuntimeMBean` | `getMigratableServiceCoordinatorRuntime()` Returns the service used for coordinating the migraiton of migratable services.
`weblogic.management.runtime.MigrationDataRuntimeMBean[]` | `getMigrationDataRuntimes()` Returns a history of server migrations.
`ServerLifeCycleRuntimeMBean[]` | `getServerLifeCycleRuntimes()` The `ServerLifecycleRuntimeMBean` for all configured servers in the domain.
`weblogic.management.runtime.SNMPAgentRuntimeMBean` | `getSNMPAgentRuntime()` Return the MBean which provides access to the monitoring statistics for WLS SNMP Agent.
`ServerLifeCycleRuntimeMBean` | `lookupServerLifeCycleRuntime(String name)` Returns the server lifecycle runtime mbean for the specified server.
`void` | `restartSystemResource(SystemResourceMBean resource)` Restarts a system resource on all nodes to which it is deployed.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getActivationTime

    public Date getActivationTime()

  The time when the domain became active.

  Returns:
    The activationTime value

### getAppRuntimeStateRuntime

    public weblogic.management.runtime.AppRuntimeStateRuntimeMBean getAppRuntimeStateRuntime()

  Returns a service from which it is possible to determine the state applications throughout the domain.

  Returns:
    the domain wide AppRuntimeState runtime mbean.
  Since:
    9.0.0.0

### getDeployerRuntime

    public DeployerRuntimeMBean getDeployerRuntime()

  Deprecated. 9.0.0.0

  Provides access to the service interface to the interface that is used to deploy new customer applications or modules into this domain.

  Returns:
    The DeployerRuntime for this domain.

### getLogRuntime

    public weblogic.management.runtime.LogRuntimeMBean getLogRuntime()

  Return the MBean which provides access to the control interface for WLS server logging.

  Since:
    9.0

### getMessageDrivenControlEJBRuntime

    public weblogic.management.runtime.MessageDrivenControlEJBRuntimeMBean getMessageDrivenControlEJBRuntime()

  The MessageDrivenControlEJBRuntimeMBean for this server.

  Returns:
    The MessageDrivenControlEJBRuntime value

### getMigratableServiceCoordinatorRuntime

    public MigratableServiceCoordinatorRuntimeMBean getMigratableServiceCoordinatorRuntime()

  Returns the service used for coordinating the migraiton of migratable services.

  Returns:
    the Domain Wide mbean for control service migration.

### getMigrationDataRuntimes

    public weblogic.management.runtime.MigrationDataRuntimeMBean[] getMigrationDataRuntimes()

  Returns a history of server migrations. Each array element represents a past or an ongoing migration.

### getServerLifeCycleRuntimes

    public ServerLifeCycleRuntimeMBean[] getServerLifeCycleRuntimes()

  The `ServerLifecycleRuntimeMBean` for all configured servers in the domain.

  Returns:
    an array of ServerLifecycleRuntimeMBean value
  Since:
    9.0.0.0

### getSNMPAgentRuntime

    public weblogic.management.runtime.SNMPAgentRuntimeMBean getSNMPAgentRuntime()

  Return the MBean which provides access to the monitoring statistics for WLS SNMP Agent.

  Since:
    9.0

### lookupServerLifeCycleRuntime

    public ServerLifeCycleRuntimeMBean lookupServerLifeCycleRuntime(String name)

  Returns the server lifecycle runtime mbean for the specified server.

  Parameters:
    `name` -
  Returns:
  Since:
    9.0.0.0

### restartSystemResource

    public void restartSystemResource(SystemResourceMBean resource)
                               throws weblogic.management.ManagementException

  Restarts a system resource on all nodes to which it is deployed.

  Throws:
    `weblogic.management.ManagementException`
  Since:
    9.0.0.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD